package com.example.myapplication.database.entities.repository

import com.example.myapplication.database.entities.model.UserItemCrossRef

interface UserItemRepository {
    suspend fun insertUserItem(userItemCrossRef: UserItemCrossRef)
    suspend fun updateUserItem(userItemCrossRef: UserItemCrossRef)
    suspend fun deleteUserItem(userItemCrossRef: UserItemCrossRef)
    suspend fun deleteUserItems(userId: Int)
}